Package com.arms.api.patchnote.service

## Class PatchnoteServiceImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.patchnote.service.PatchnoteServiceImpl

- All Implemented Interfaces:
    `PatchnoteService`, `TreeService`

      @Service("patchnoteService")
      public class PatchnoteServiceImpl
      extends TreeServiceImpl
      implements PatchnoteService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatchnoteServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PatchnoteEntity` | `addPatchnote​(PatchnoteDTO patchnoteDTO)` |
    `PatchnoteEntity` | `updatePatchnote​(PatchnoteDTO patchnoteDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### PatchnoteServiceImpl

          public PatchnoteServiceImpl()

  - ### Method Detail

    - #### addPatchnote

          @Transactional
          public PatchnoteEntity addPatchnote​(PatchnoteDTO patchnoteDTO)
                                       throws java.lang.Exception

      Specified by:
        `addPatchnote` in interface `PatchnoteService`
      Throws:
        `java.lang.Exception`

    - #### updatePatchnote

          @Transactional
          public PatchnoteEntity updatePatchnote​(PatchnoteDTO patchnoteDTO)
                                          throws java.lang.Exception

      Specified by:
        `updatePatchnote` in interface `PatchnoteService`
      Throws:
        `java.lang.Exception`